summaryrefslogtreecommitdiffstats
path: root/network/putty/putty.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/putty/putty.SlackBuild')
-rw-r--r--network/putty/putty.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/network/putty/putty.SlackBuild b/network/putty/putty.SlackBuild
new file mode 100644
index 0000000000..3f1f98fa3f
--- /dev/null
+++ b/network/putty/putty.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for PuTTY
+
+# Written by <youngmug@animeneko.net>
+
+PRGNAM=putty
+VERSION=0.58
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "alpha" ]; then
+ SLKCFLAGS="-O2 -mcpu=ev4"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $TMP/$PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# PuTTY's Makefile is in the unix subdirectory.
+cd unix
+
+# Patch the Makefile to the prefix we want.
+cat $CWD/putty-makefile.diff | patch -p0 --verbose
+
+# Build the software
+SLKCFLAGS="$SLKCFLAGS" \
+make -f Makefile.gtk || exit 1
+
+# The install process is stupid and needs the directories to exist...
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+
+# Okay, directories made, now we can install
+make -f Makefile.gtk install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Switch back to main source directory
+cd $TMP/$PRGNAM-$VERSION
+
+# Make the documentation directory and copy some docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README LICENCE doc/puttydoc.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+#Copy the HTML docs
+cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ cd $CWD
+ rm -rf $TMP/$PRGNAM-$VERSION
+ rm -rf $PKG
+fi